Summary:	The passwd utility for setting/changing passwords using PAM
Name:		passwd
Version:	0.79
Release:	%mkrel 4
License:	BSD
Group:		System/Base
URL:		https://fedorahosted.org/passwd/
Source0:	https://fedorahosted.org/releases/p/a/passwd/%{name}-%{version}.tar.xz
Source1:    passwd
Patch0:		passwd-0.79-enable-gnome-keyring.patch
BuildRequires:	glib2-devel
BuildRequires:	libuser-devel
BuildRequires:	pam-devel
BuildRequires:	popt-devel
BuildRequires:	audit-devel
Requires:	pam
Requires(pre):	setup 
Requires:	libuser
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The passwd package contains a system utility (passwd) which sets
and/or changes passwords, using PAM (Pluggable Authentication
Modules).

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x \
	--without-selinux \
	--without-pwdb \
	--with-audit \
	--with-libuser \
	--disable-rpath

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/pam.d

%makeinstall_std

install -m0644 %SOURCE1 %{buildroot}%{_sysconfdir}/pam.d/passwd

%find_lang %{name}

%pre
/bin/rm -f /etc/pam.d/passwd

%posttrans
cat > /etc/pam.d/system-auth << EOF
#%PAM-1.0
auth        required      pam_env.so
auth        sufficient    pam_unix.so try_first_pass likeauth nullok
auth        required      pam_deny.so
account     sufficient    pam_tcb.so shadow
account     required      pam_deny.so
password    required      pam_cracklib.so try_first_pass retry=3 minlen=4  dcredit=0  ucredit=0 
password    sufficient    pam_unix.so try_first_pass use_authtok nullok sha512 shadow
password    required      pam_deny.so
session     optional      pam_keyinit.so revoke
session     required      pam_limits.so
session     [success=1 default=ignore] pam_succeed_if.so service in crond quiet use_uid
session     required      pam_unix.so
EOF

chmod 4755 /sbin/unix_chkpwd
chmod 4755 /sbin/unix_update


%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/pam.d/passwd
%attr(4511,root,shadow) %{_bindir}/passwd
%{_mandir}


%changelog
* Thu Sep 21 2017 bb2 <bb2> - 0.79-4pclos2017
- fix mate lock

* Tue Sep 19 2017 bb2 <bb2> - 0.79-3pclos2017
- fix system-auth

* Tue Sep 19 2017 bb2 <bb2> - 0.79-2pclos2017
- fix user passwd change

* Sun Sep 17 2017 bb2 <bb2> - 0.79-1pclos2017
- new version
- new gcc

* Sat Jan 30 2010 Texstar <texstar at gmail.com> 0.77-2pclos2010
- Patch0: enable gnome keyring

